# $Revision: 1.8 $, $Date: 2007-12-26 22:53:08 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	FolderType-Net
Summary:	Email::FolderType::Net - Recognize folder types for network based message protocols
Summary(pl.UTF-8):	Email::FolderType::Net - Rozpoznawanie typu folderu dla protokołów sieciowych
Name:		perl-Email-FolderType-Net
Version:	1.041
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	37ebccb31b937d4c83ea6a73aa772c99
URL:		http://search.cpan.org/dist/Email-FolderType-Net/
%if %{with tests}
BuildRequires:	perl-Email-FolderType >= 0.8
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Registers several mail folder types that are known as network based
messaging protocols. Folder names for these protocols should be
specified using a URI syntax.

%description -l pl.UTF-8
Ta klasa rejestruje kilka rodzajów folderów pocztowych znanych jako
sieciowe protokoły komunikacji. Nazwy folderów dla tych protokołów
powinny być podawane przy użyciu składni URI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/FolderType/Net.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-FolderType-Net.spec,v $
Revision 1.8  2007-12-26 22:53:08  zbyniu
- up to 1.041

Revision 1.7  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.5  2005/07/23 21:47:03  radek
- +BR: perl-Email-FolderType >= 0.8, -BR: perl-Email-LocalDelivery

Revision 1.4  2005/07/23 21:43:15  radek
- version 1.04

Revision 1.3  2004/11/03 22:30:20  paladine
- formatting

Revision 1.2  2004/08/22 22:25:51  qboosh
- pl desc

Revision 1.1  2004/08/22 11:14:46  adamg
- new
